Subject: @subpackage cannot be unset when rendering URIs
Description

The UriBuilder's behavior is that if no controller, package, subpackage etc. are specified to the uriFor() method, the current controller,
package etc. are used.

That turns out to become a problem if one would like to link from a controller within a subpackage to a controller without a subpackage
namespace part: specifying an empty subpackage is recognized as "not specified" and results in use of the current subpackage.

A possible fix is to only use the current subpackage if neither a package nor a subpackage have been specified. If only a package but
no subpackage is passed to uriFor(), an empty subpackage key should be assumed.

Associated revisions
Revision e805f558 - 2010-11-08 23:27 - Robert Lemke

[+BUGFIX] FLOW3 (MVC): Fix URI building for links between within and outside subpackages

UriBuilder errorously used the current subpackage key while trying to render
a link from a controller within a subpackage to one without a subpackage key
in its namespace.

This patch makes these types of links possible.

Change-Id: I548929452f6853caa12556e2dd3a8a657f30ff51
Resolves: #10687

History
#1 - 2010-11-08 23:35 - Robert Lemke
- Status changed from Accepted to Under Review

#2 - 2010-11-09 10:45 - Robert Lemke
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"e805f558ae63a2ce3829f30c35398443a3433ee0".
